package com.gh.gamecenter.minigame.qq

import com.gh.gamecenter.common.utils.viewModelProvider
import com.gh.gamecenter.entity.SubjectRecommendEntity
import com.gh.gamecenter.game.GameFragment
import com.halo.assistant.HaloApp

/**
 * QQ小游戏-主页
 */
class QGameFragment : GameFragment() {

    /**
     * 只替换ViewModel，UI显示与GameFragment完全相同
     */
    override fun provideViewModel(): QGameViewModel {
        val factory = QGameViewModel.Factory(
            HaloApp.getInstance().application,
            SubjectRecommendEntity(text = "小游戏")
        )
        return viewModelProvider(factory)
    }
}